
package de.ivu.elect.presentation.benutzerverwaltung.menu;

import javax.inject.Inject;

import de.ivu.elect.business.benutzerverwaltung.entity.BenutzerEinsatzortMeta;
import de.ivu.elect.jee.entity.Meta;
import de.ivu.elect.presentation.benutzerverwaltung.exchange.BenutzerEinsatzortImportDescription;
import de.ivu.elect.presentation.exchange.ImportDescription;
import de.ivu.elect.presentation.exchange.menu.AbstractImportMenuItemEntry;

public class BenutzerEinsatzortImportMenuItemEntry extends AbstractImportMenuItemEntry {

  private static final long serialVersionUID = 1L;

  @Inject
  private transient BenutzerEinsatzortMeta meta;

  @Inject
  private transient BenutzerEinsatzortImportDescription importDescription;

  public BenutzerEinsatzortImportMenuItemEntry() {
    super();
  }

  @Override
  public ImportDescription getImportDescription() {
    return importDescription;
  }

  @Override
  protected Meta getMeta() {
    return meta;
  }
}
